package com.vendor.platform.ui.internal;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.platform.api.ILanguageManager;
import com.vendor.platform.ui.internal.IniUtils;
import java.util.Locale;
import org.eclipse.ui.PlatformUI;

public class LanguageManager implements ILanguageManager {
  public Locale getCurrentLocale() {
    String nl = IniUtils.getIniConfiguration("osgi.nl");
    if (nl.length() == 0)
      nl = Locale.getDefault().toString(); 
    if (nl.equals(Locale.US.toString()))
      return Locale.US; 
    if (nl.equals(Locale.SIMPLIFIED_CHINESE.toString()))
      return Locale.SIMPLIFIED_CHINESE; 
    return Locale.getDefault();
  }
  
  public void changeLocale(Locale locale) {
    IniUtils.updateIniConfiguration("osgi.nl", locale.toString());
    PlatformUI.getWorkbench().restart();
  }
}
